/***文档注释***********************************************
 * 作者               :                   罗雪伦 
 * 创建日期      :                   2017.07.20
 * 描述               :                   分布式文件存储的公用类
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                  
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.pb;

import java.util.ArrayList;
import java.util.List;

import market.Com.pb.fdfs.SpeOptService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

@Controller
public class SpeOptBaseService{
	//分布式存储
	@Autowired
	private SpeOptService speOptService;
	public void setSpeOptService(SpeOptService speOptService){
		this.speOptService = speOptService;
	}
	
	public String doAdd(String path){
		List<String> ls=new ArrayList<String>();
		ls.add(path);
		List<String> arr=speOptService.confirmUpload(ls);
		if(arr.size()>0){
			path=arr.get(0);
		}
		return path;
	}
	
	public void doDelete(String path){
		speOptService.deleteFile(path);
	}
}
